%--------------------------------------------------------------------------
% File     : Shortened file, so there is no header
%--------------------------------------------------------------------------
input_formula(formula_32,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p14(c15, c16, X1, X2) )
     => ~ p8(f3(f4(c15, X2), f4(c16, X2))) )   )).

input_formula(formula_31,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( p9(X1)
        & p14(X3, X2, X1, X4)
        & p10(f6(X2, X4), f6(X3, X4)) )
     => p13(X2, X3, X4) )   )).

input_formula(formula_3,axiom,(
    ! [X2,X1,X3] : 
      ( ( equal(X2, X1)
        & equal(X1, X3) )
     => equal(X2, X3) )   )).

input_formula(formula_34,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p12(X1, f1(c16, X1)) )
     => p14(c15, c16, X1, f1(c16, X1)) )   )).

input_formula(formula_15,axiom,(
    ! [X1,X2] : 
      ( equal(X1, X2)
     => equal(f7(X1), f7(X2)) )   )).

input_formula(formula_6,axiom,(
    ! [X1,X2] : 
      ( equal(X1, X2)
     => equal(f2(X1), f2(X2)) )   )).

input_formula(formula_25,axiom,(
    ! [X1,X3,X2,X4] : 
      ( ( equal(X1, X3)
        & p13(X2, X1, X4) )
     => p13(X2, X3, X4) )   )).

input_formula(formula_28,axiom,(
    ! [X1,X3,X2,X4,X5] : 
      ( ( equal(X1, X3)
        & p14(X2, X1, X4, X5) )
     => p14(X2, X3, X4, X5) )   )).

input_formula(formula_10,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f4(X2, X1), f4(X2, X3)) )   )).

input_formula(formula_24,axiom,(
    ! [X1,X2,X3,X4] : 
      ( ( equal(X1, X2)
        & p13(X1, X3, X4) )
     => p13(X2, X3, X4) )   )).

input_formula(formula_47,hypothesis,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & equal(X2, f2(X1)) )
     => ( ~ p10(f6(c16, X2), f6(c15, X2))
        & ! [X3] : 
            ( ( p14(c15, c16, X1, X3)
              & p10(X3, X2) )
           => p10(f6(c16, X3), f6(c15, X3)) ) ) )   )).

input_formula(formula_35,axiom,(
    ! [X1,X3,X2] : 
      ( ( p9(X1)
        & p12(X1, X2)
        & p11(f3(f6(c15, X2), f6(c16, X2)), c17)
        & p11(X3, f1(c16, X1))
        & p10(X2, X3) )
     => ( p8(f3(f6(c15, X3), f6(c16, X3)))
       => p10(f3(f6(c15, X3), f6(c16, X3)), c17) ) )   )).

input_formula(formula_22,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p12(X1, X3) )
     => p12(X2, X3) )   )).

input_formula(formula_19,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p10(X2, X1) )
     => p10(X2, X3) )   )).

input_formula(formula_40,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p12(X1, f7(X1)) )   )).

input_formula(formula_14,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f6(X2, X1), f6(X2, X3)) )   )).

input_formula(formula_26,axiom,(
    ! [X1,X4,X2,X3] : 
      ( ( equal(X1, X4)
        & p13(X2, X3, X1) )
     => p13(X2, X3, X4) )   )).

input_formula(formula_27,axiom,(
    ! [X1,X2,X3,X4,X5] : 
      ( ( equal(X1, X2)
        & p14(X1, X3, X4, X5) )
     => p14(X2, X3, X4, X5) )   )).

input_formula(formula_2,axiom,(
    ! [X2,X1] : 
      ( equal(X2, X1)
     => equal(X1, X2) )   )).

input_formula(formula_42,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p14(c15, c16, X1, X2) )
     => p14(c16, c15, X1, X2) )   )).

input_formula(formula_16,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1, X2)
        & p8(X1) )
     => p8(X2) )   )).

input_formula(formula_37,axiom,(
    ! [X1] : 
      ( p10(c17, f3(f6(c15, X1), f6(c16, X1)))
    <=> p10(f6(c16, X1), f6(c15, X1)) )   )).

input_formula(formula_48,hypothesis,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p14(c15, c16, X1, X2) )
     => p8(f3(f5(c15, X2), f5(c16, X2))) )   )).

input_formula(formula_43,axiom,(
    ! [X2,X1] : 
      ( ( p9(X2)
        & p14(c15, c16, X2, X1) )
     => p11(X1, f1(c16, X2)) )   )).

input_formula(formula_11,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f5(X1, X3), f5(X2, X3)) )   )).

input_formula(formula_5,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f1(X2, X1), f1(X2, X3)) )   )).

input_formula(formula_8,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f3(X2, X1), f3(X2, X3)) )   )).

input_formula(formula_17,axiom,(
    ! [X1,X2] : 
      ( ( equal(X1, X2)
        & p9(X1) )
     => p9(X2) )   )).

input_formula(formula_44,axiom,(
    ! [X1,X2] : 
      ( p11(X1, X2)
    <=> ( p10(X1, X2)
        | equal(X1, X2) ) )   )).

input_formula(formula_1,axiom,(
    ! [X1] : equal(X1, X1)   )).

input_formula(formula_12,axiom,(
    ! [X1,X3,X2] : 
      ( equal(X1, X3)
     => equal(f5(X2, X1), f5(X2, X3)) )   )).

input_formula(formula_21,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p11(X2, X1) )
     => p11(X2, X3) )   )).

input_formula(formula_41,axiom,(
    ! [X1] : 
      ( p9(X1)
     => p11(f1(c15, X1), f7(X1)) )   )).

input_formula(formula_33,axiom,(
    ! [X1] : 
      ( ( p9(X1)
        & p12(X1, f2(X1)) )
     => p14(c15, c16, X1, f2(X1)) )   )).

input_formula(formula_23,axiom,(
    ! [X1,X3,X2] : 
      ( ( equal(X1, X3)
        & p12(X2, X1) )
     => p12(X2, X3) )   )).

input_formula(formula_7,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f3(X1, X3), f3(X2, X3)) )   )).

input_formula(formula_4,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f1(X1, X3), f1(X2, X3)) )   )).

input_formula(formula_36,axiom,(
    ! [X1] : 
      ( ( p8(f3(f5(c15, X1), f5(c16, X1)))
        & ~ p8(f3(f4(c15, X1), f4(c16, X1))) )
     => p8(f3(f6(c15, X1), f6(c16, X1))) )   )).

input_formula(formula_18,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p10(X1, X3) )
     => p10(X2, X3) )   )).

input_formula(formula_9,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f4(X1, X3), f4(X2, X3)) )   )).

input_formula(formula_49,conjecture,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p12(X1, f2(X1))
        & p11(X2, f1(c16, X1))
        & p10(f2(X1), X2) )
     => p13(c15, c16, X2) )   )).

input_formula(formula_38,axiom,(
    ! [X1] : 
      ( p10(f3(f6(c15, X1), f6(c16, X1)), c17)
    <=> p10(f6(c15, X1), f6(c16, X1)) )   )).

input_formula(formula_20,axiom,(
    ! [X1,X2,X3] : 
      ( ( equal(X1, X2)
        & p11(X1, X3) )
     => p11(X2, X3) )   )).

input_formula(formula_29,axiom,(
    ! [X1,X4,X2,X3,X5] : 
      ( ( equal(X1, X4)
        & p14(X2, X3, X1, X5) )
     => p14(X2, X3, X4, X5) )   )).

input_formula(formula_39,axiom,(
    ! [X3,X2,X1,X4] : 
      ( ( p9(X3)
        & p12(X3, X2)
        & p12(X3, X1)
        & p11(X1, X4)
        & p11(X4, X2) )
     => p12(X3, X4) )   )).

input_formula(formula_13,axiom,(
    ! [X1,X2,X3] : 
      ( equal(X1, X2)
     => equal(f6(X1, X3), f6(X2, X3)) )   )).

input_formula(formula_45,axiom,(
    ! [X1,X2] : 
      ( ( p9(X1)
        & p14(c15, c16, X1, X2)
        & ~ p10(c17, f3(f6(c15, X2), f6(c16, X2))) )
     => p11(f3(f6(c15, X2), f6(c16, X2)), c17) )   )).

input_formula(formula_30,axiom,(
    ! [X1,X5,X2,X3,X4] : 
      ( ( equal(X1, X5)
        & p14(X2, X3, X4, X1) )
     => p14(X2, X3, X4, X5) )   )).

input_formula(formula_46,hypothesis,(
    ! [X3,X1,X2,X4] : 
      ( ( p9(X3)
        & p14(c15, c16, X3, X1)
        & p14(c15, c16, X3, X2)
        & p11(X4, X1)
        & p11(X2, X4) )
     => p14(c15, c16, X3, X4) )   )).
%--------------------------------------------------------------------------
